### Enumeration

# Gio FileType

#### Declaration

    enum Gio.FileType

#### Description [src]

Indicates the file’s on-disk type.

On Windows systems a file will never have `G_FILE_TYPE_SYMBOLIC_LINK` type; use `GFileInfo` and `G_FILE_ATTRIBUTE_STANDARD_IS_SYMLINK` to determine whether a file is a symlink or not. This is due to the fact that NTFS does not have a single filesystem object type for symbolic links - it has files that symlink to files, and directories that symlink to directories. `GFileType` enumeration cannot precisely represent this important distinction, which is why all Windows symlinks will continue to be reported as `G_FILE_TYPE_REGULAR` or `G_FILE_TYPE_DIRECTORY`.

#### Members

Name | Description
--- | ---
`G_FILE_TYPE_UNKNOWN` | File’s type is unknown.
`G_FILE_TYPE_REGULAR` | File handle represents a regular file.
`G_FILE_TYPE_DIRECTORY` | File handle represents a directory.
`G_FILE_TYPE_SYMBOLIC_LINK` | File handle represents a symbolic link (Unix systems).
`G_FILE_TYPE_SPECIAL` | File is a “special” file, such as a socket, fifo, block device, or character device.
`G_FILE_TYPE_SHORTCUT` | File is a shortcut (Windows systems).
`G_FILE_TYPE_MOUNTABLE` | File is a mountable location.